Subject: Re: [PATCH] powerpc: map 4K iommu pages even on 64K largepage systems

From: [email-masked] (Linas Vepstas)
Date: Tue, 24 Oct 2006 18:17:19 -0500

On Wed, Oct 25, 2006 at 07:41:23AM +1000, Benjamin Herrenschmidt wrote:
>
> My point is that we'll probably not change IOMMU_PAGE_SHIFT. The only
> thing we might do is to move the shift into the iommu_table structure to
> make it per-iommu (in which case the TCE backend will use 4k or 64k
> depending on actual HW/FW support for those sizes).

OK, right; I don't know why, I didn't see this right wawy.

--linas